Package: org.gradle.nativeplatform.platform

## [Java] Interface Architecture

- org.gradle.nativeplatform.platform.Architecture

- All Superinterfaces:
    Named

  A cpu architecture.

  Instruction Set | 32-bit names | 64-bit names
  --- | --- | ---
  Intel x86 | "x86", "i386", "ia-32", "i686" | "x86_64", "amd64", "x64", "x86-64"
  Intel Itanium | N/A | "ia-64", "ia64"
  Power PC | "ppc" | "ppc64"
  Sparc | "sparc", "sparc32", "sparc-v8" | "sparc64", "ultrasparc", "sparc-v9"
  ARM | "arm", "arm-v7", "armv7", "arm32" | "arm64", "arm-v8"

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDisplayName()` Returns a human-consumable display name for this architecture.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Named` | `getName`

- - ### Method Detail

    - #### public String getDisplayName()

      Returns a human-consumable display name for this architecture.